GDB (xrefs)

Public Attributes | List of all members
regset Struct Reference

`#include "regset.h"`

## Public Attributes
const void * | regmap
supply_regset_ftype * | supply_regset
collect_regset_ftype * | collect_regset
unsigned | flags

## Detailed Description

Definition at line 34 of file regset.h.

## Member Data Documentation

## ◆ collect_regset

collect_regset_ftype* regset::collect_regset

Definition at line 45 of file regset.h.

Referenced by fbsd_collect_regset_section_cb(), and linux_collect_regset_section_cb().

## ◆ flags

unsigned regset::flags

Definition at line 47 of file regset.h.

Referenced by get_core_register_section().

## ◆ regmap

const void* regset::regmap

Definition at line 39 of file regset.h.

Referenced by ppc_collect_fpregset(), ppc_collect_gregset(), ppc_collect_vrregset(), ppc_linux_collect_gregset(), ppc_linux_supply_gregset(), ppc_supply_fpregset(), ppc_supply_gregset(), ppc_supply_vrregset(), and regcache::transfer_regset().

## ◆ supply_regset

supply_regset_ftype* regset::supply_regset

Definition at line 42 of file regset.h.

Referenced by get_core_register_section(), and i386nto_supply_gregset().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/regset.h